/////////////////////////////////////////////////////////////////////
//	BCA_Lib TvR[h 
/////////////////////////////////////////////////////////////////////
//	yAOTv (R[obNI/F)
/////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include <string.h>
#include <windows.h>
#include "AntCallbackInterface.h"

//
//	MR[obN֐
//
void RecvFunc(void* dev, unsigned char channel, unsigned char event, void* data, unsigned int length, void* cookie)
{
	unsigned char* dat = (unsigned char*)data;
	printf("AntDeviceEx::receiveData(%d)[%02X][%02X][%02X][%02X][%02X][%02X][%02X][%02X]\n", channel, dat[0], dat[1], dat[2], dat[3], dat[4], dat[5], dat[6], dat[7]);
}
//
//	yAO R[obN֐
//
void PairingFunc(void* dev, int* device, unsigned char count, void* cookie)
{
    if (count <= 0) {
        //  Ώۂ̃foCXȂ
        return;
    }
    int device_no = 0;
    int device_type = 0;
    int trans_type = 0;
    int res = 0;
    //  ŏɌfoCXM
    //  foCX擾
    res = BCA_GetPairingDeviceInfo(dev, 0, &device_no, &device_type, &trans_type);
    //  `lJ
    res = BCA_OpenChannel(dev,
                          0,						//  channel no
                          BCA_CHANNEL_TYPE_SLAVE,   //  SLAVE
                          BCA_CHANNEL_NOSHARED,//  no shared
                          device_no,				//  device no
						  device_type,
						  trans_type,
                          66,						//  2466MHz
                          4.0);						//  4Hz
}
//
//	main
//
int _tmain(int argc, _TCHAR* argv[])
{
	void* dev = NULL;
	int res = 0;
	//	ANTfoCX̃I[v
	dev = BCA_OpenDevice(0);
	if (!dev) {
		printf("BCA_OpenDevice ERROR:%d\n", res);
		goto end;
	}
	//	ANTfoCX̏
	res = BCA_Init(dev);
	if (res != BCA_OK) {
		printf("BCA_Init ERROR:%d\n", res);
		goto end;
	}
	//	MR[obN֐̓o^
	BCA_RegisterReceiveFunc(dev, RecvFunc, NULL);
	//	yAOR[obN֐̓o^
	BCA_RegisterPairingFunc(dev, PairingFunc, NULL);
	//	yAOJn
	BCA_StartPairing(dev, 66, 4, 10);

	Sleep(1000 * 60);

	//	`l̃N[Y
	BCA_CloseChannel(dev, 0);
end:
	//	foCX̃N[Y
	res = BCA_CloseDevice(dev);

	return 0;
}

